function slope_y, x1, x2, y1, y2, time_target1
  if (x1 eq x2) then y = y1 $
  else begin
    m = (y2-y1)/(x2-x1)
    x = time_target1
    y_a = m*(x-x1)+y1
  endelse
  return, y_a
end

;;function calc altitude matching Ta i0
;;input time_target, time_alt, alt
;;output alt_match
function func_alt, time_target, time_altls, altls
time_altls0 = -1000 * time_altls
no_time_alt = n_elements(time_altls0)
time_target0 = time_target[0]
x_0 = -125000 ;;alt[125k] = alt[0k]

idx_eq = where(time_altls0[*] eq time_target0, cnt_eq)
if (cnt_eq eq 1) then begin
  y = altls[idx_eq]
endif else begin
 if (time_target0 lt time_altls0[0]) then begin
   x1 = x_0
   x2 = time_altls0[0]
   y1 = 0.0
   y2 = altls[0]
 endif else if (time_target0 ge time_altls0[no_time_alt-1]) then begin
   x1 = time_altls0[no_time_alt-1]
   x2 = x1
   y1 = altls[no_time_alt-1]
   y2 = y1
 endif else begin
   idx_lt = where(time_altls0[*] lt time_target0, cnt_lt)
   idx_gt = where(time_target0 lt time_altls0[*], cnt_gt)

   if (cnt_lt gt 0 and cnt_gt gt 0) then begin
     idx_beg = idx_lt[cnt_lt-1]
     idx_end = idx_gt[0]
     x1 = time_altls0[idx_beg]
     x2 = time_altls0[idx_end]
     y1 = altls[idx_beg]
     y2 = altls[idx_end]
   endif else print, 'err func_alt / time=', time_target0

 endelse
 y = slope_y(x1, x2, y1, y2, time_target0)
endelse

return, y

end

