;;function calc d(active layer) from Kf, TDD, rho
;;input Kf:thermal conductivity as thawing, TDD
;;output dn
function func_dt, Kf, TDD, rho
;parameter setting
;;rho=500.
L=3.34e5
time_unit = 24*60*60
m2mm = 1.e3

if (rho eq 0) then dt = 0. $
else begin
  a1 = 2.*Kf*(TDD*time_unit)
  a2 = rho*L
  dt = m2mm * (a1/a2)^0.5
endelse

  return, dt
end

