;;function calc Wo fixed value currently
;;input 
;;output Wo:wate under sea
function func_Wo, h_b, soil
;parameter setting
;;h_b = 3000 ;;mm
;;sigma = 0.55 ;;m/m porosity

if (1 le soil and soil le 13) then begin
  if (1 le soil and soil le 4) then begin
;;1-4 sand
    sigma = 0.55
    f_wet = 0.1 / sigma
  endif else if (5 le soil and soil le 8) then begin
;;5-8 silt
    sigma = 0.50
    f_wet = 0.2 / sigma
  endif else if (9 le soil and soil le 13) then begin
;;9-12 clay 13:Organic Materilas count as clay
    sigma = 0.45
    f_wet = 0.4 / sigma
  endif
endif else if (soil eq 15) then begin
;;15:bedrock count as bedrock=1
  sigma = 0.50
  f_wet = 0.0
endif else begin
  sigma = 0.50
  f_wet = 0.0
endelse

Wo = h_b*sigma
max_W = h_b*sigma
min_W = f_wet*Wo

return, [Wo, max_W, min_W]
end

