;;function calc initial water & ICE from w0mean,num_pf
;;input W0: initial value of Water, pf: type of permafrost
;;output [I0, W0]
function func_init_I0W0, W0mean, numpf
  ratiols = [0.9, 0.8, 0.0, 0.0, 0.0] ;;[Cp,Ep,Sf,Im,Nf]
  case numpf of
    1:begin
      ratio = ratiols[0]
    end
    2:begin
      ratio = ratiols[1]
    end
    3:begin
      ratio = ratiols[2]
    end
    4:begin
      ratio = ratiols[3]
    end
    5:begin
      ratio = ratiols[4]
    end
  endcase
  I0 = ratio * W0mean
  W0 = W0mean

  initI0W0 = [I0, W0]
  return, initI0W0
end

