;;function calc n factor(Fallen snow efect)
;;input Pr
;;output n factor

function line_2points, x1, y1, x2, y2, X
  slope = (y2-y1) / (x2- x1)
  intercept = y1
  y = slope * (X-x1) + intercept

  return, y
end

function func_n_factor, Pr, missing
;parameter setting

  Pr_dash = Pr/2.
  Pr_dashls = [[0.0, 1.0], [40, 0.65], [100, 0.3], [150, 0.1]]

  if (Pr_dash le Pr_dashls[0, 3]) then begin
    if (Pr_dash le Pr_dashls[0, 1]) then begin
      x1 = Pr_dashls[0, 0]
      y1 = Pr_dashls[1, 0]
      x2 = Pr_dashls[0, 1]
      y2 = Pr_dashls[1, 1]
    endif else if (Pr_dash le Pr_dashls[0, 2]) then begin
      x1 = Pr_dashls[0, 1]
      y1 = Pr_dashls[1, 1]
      x2 = Pr_dashls[0, 2]
      y2 = Pr_dashls[1, 2]
    endif else if (Pr_dash le Pr_dashls[0, 3]) then begin
      x1 = Pr_dashls[0, 2]
      y1 = Pr_dashls[1, 2]
      x2 = Pr_dashls[0, 3]
      y2 = Pr_dashls[1, 3]
    endif
    n_factor = line_2points(x1, y1, x2, y2, Pr_dash)
  endif else begin
    n_factor = Pr_dashls[1, 3]
endelse

  return, n_factor
end

